# Conformance test reports

For more details on conformance, refer to:
- [_Bluetooth Conformance Documents and scripts_](https://www.bluetooth.com/specifications/specs/low-complexity-communication-codec-1-0/)
- [_ETSI TS 103 634 V1.4.1 - Section 7_](https://www.etsi.org/deliver/etsi_ts/103600_103699/103634/01.04.01_60/ts_103634v010401p.pdf)

The test reports are generated by:
- [_LC3 Test Software V1.0.7_](https://www.bluetooth.com/specifications/specs/low-complexity-communication-codec-1-0/)
- [_LC3 Plus ETSI Conformance Software V1.6.4_](https://www.etsi.org/deliver/etsi_ts/103600_103699/103634/01.03.01_60/ts_103634v010301p0.zip)

## LC3 Speech

* [Encoding 10ms](https://raw.githack.com/google/liblc3/main/conformance/speech_encode_10m.html)
* [Decoding 10ms](https://raw.githack.com/google/liblc3/main/conformance/speech_decode_10m.html)
* [Encoding + Decoding 10ms](https://raw.githack.com/google/liblc3/main/conformance/speech_encdec_10m.html)

<!-- -->

* [Encoding 7.5ms](https://raw.githack.com/google/liblc3/main/conformance/speech_encode_7m5.html)
* [Decoding 7.5ms](https://raw.githack.com/google/liblc3/main/conformance/speech_decode_7m5.html)
* [Encoding + Decoding 7.5ms](https://raw.githack.com/google/liblc3/main/conformance/speech_encdec_7m5.html)

## LC3 Music

* [Encoding 10ms](https://raw.githack.com/google/liblc3/main/conformance/music_encode_10m.html)
* [Decoding 10ms](https://raw.githack.com/google/liblc3/main/conformance/music_decode_10m.html)
* [Encoding + Decoding 10ms](https://raw.githack.com/google/liblc3/main/conformance/music_encdec_10m.html)

<!-- -->

* [Encoding 7.5ms](https://raw.githack.com/google/liblc3/main/conformance/music_encode_7m5.html)
* [Decoding 7.5ms](https://raw.githack.com/google/liblc3/main/conformance/music_decode_7m5.html)
* [Encoding + Decoding 7.5ms](https://raw.githack.com/google/liblc3/main/conformance/music_encdec_7m5.html)

## LC3 Plus

* [Encoding](https://raw.githack.com/google/liblc3/main/conformance/lc3plus_encode.html)
* [Decoding](https://raw.githack.com/google/liblc3/main/conformance/lc3plus_decode.html)
* [Encoding + Decoding](https://raw.githack.com/google/liblc3/main/conformance/lc3plus_encdec.html)

## LC3 Plus High-Resolution

* [Encoding](https://raw.githack.com/google/liblc3/main/conformance/lc3plus_hr_encode.html)
* [Decoding](https://raw.githack.com/google/liblc3/main/conformance/lc3plus_hr_decode.html)
* [Encoding + Decoding](https://raw.githack.com/google/liblc3/main/conformance/lc3plus_hr_encdec.html)
* [Fallback mode](https://raw.githack.com/google/liblc3/main/conformance/lc3plus_hr_fallback.html)
* [Precision Requirements](https://raw.githack.com/google/liblc3/main/conformance/lc3plus_hr_precision.html)

